/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef MULTISTATEWIDGETMODEL_H
#define MULTISTATEWIDGETMODEL_H

#include <MWidget>
#include <MWidgetModel>
#include <QMap>
#include <QPair>

class MAbstractLayoutPolicy;

class MultiStateWidgetModel : public MWidgetModel
{
    Q_OBJECT
    M_MODEL(MultiStateWidgetModel)

public:

private:
    M_MODEL_PTR_PROPERTY(MAbstractLayoutPolicy*, activeLandscapeLayout, ActiveLandscapeLayout, true, 0)
    M_MODEL_PTR_PROPERTY(MAbstractLayoutPolicy*, activePortraitLayout, ActivePortraitLayout, true, 0)

};

#endif

