/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */
#ifndef MULTISTATEWIDGETVIEW_P_H
#define MULTISTATEWIDGETVIEW_P_H

class MultiStateWidgetView;

class MultiStateWidgetViewPrivate
{
private:
  MultiStateWidgetView* q_ptr;
  Q_DISABLE_COPY(MultiStateWidgetViewPrivate);
  Q_DECLARE_PUBLIC(MultiStateWidgetView);

public:
  MultiStateWidgetViewPrivate(MultiStateWidgetView* p, MultiStateWidget* controller);
  ~MultiStateWidgetViewPrivate();
  void init();

  MultiStateWidget* controller;

};

#endif
