/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all of
 * this material requires the prior written consent of Nokia Corporation.
 * This material also contains confidential information which may not be
 * disclosed to others without the prior written consent of Nokia.
 */

#ifndef NOTEWIDGETLISTITEMSTYLE_H
#define NOTEWIDGETLISTITEMSTYLE_H

#include <QString>
#include "notewidgetstyle.h"
#include "organiser_export.h"

class ORGANISER_EXPORT NoteWidgetListItemStyle : public NoteWidgetStyle
{
    Q_OBJECT
    M_STYLE(NoteWidgetListItemStyle)

    M_STYLE_ATTRIBUTE(QString, titleStyleName, TitleStyleName)
    M_STYLE_ATTRIBUTE(QString, subtitleStyleName, SubtitleStyleName)
    M_STYLE_ATTRIBUTE(QString, subTextStyleName, SubTextStyleName)
};

class M_EXPORT NoteWidgetListItemStyleContainer : public NoteWidgetStyleContainer
{
    M_STYLE_CONTAINER(NoteWidgetListItemStyle)
};

#endif // NOTEWIDGETLISTITEMSTYLE_H
